Docs
Api reference

Recording

GET
/api/recordings

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?integer
Range0 < value
Default1
limit?integer
Range0 < value <= 100
Default10
startDate?string
endDate?string
search?string
status?string
callId?string

Response Body

application/json

curl -X GET "https://example.com/api/recordings"
{  "success": true,  "data": [    {      "id": 1,      "customerId": 1,      "restaurantId": 1,      "recordingUrl": "http://example.com",      "recordingDuration": "string",      "callSid": "string",      "callId": "string",      "from": "string",      "to": "string",      "status": "string",      "direction": "string",      "transcriptUrl": "string",      "transcript": [        {          "role": "string",          "text": "string",          "createdAt": "string",          "toolName": "string",          "invocationId": "string",          "errorDetails": "string"        }      ],      "summary": "string",      "overallSentiment": "string",      "callQualityScore": 0,      "tags": null,      "title": "string",      "timestamp": "string",      "customer": {        "id": 0,        "name": "string",        "phone": "string",        "email": "string"      }    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
POST
/api/recordings

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/recordings" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "id": 1,    "customerId": 1,    "restaurantId": 1,    "recordingUrl": "http://example.com",    "recordingDuration": "string",    "callSid": "string",    "callId": "string",    "from": "string",    "to": "string",    "status": "string",    "direction": "string",    "transcriptUrl": "string",    "transcript": null,    "summary": "string",    "overallSentiment": "string",    "callQualityScore": 0,    "tags": null,    "title": "string",    "timestamp": "string"  }}
GET
/api/recordings/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/recordings/string"
{  "success": true,  "data": {    "id": 1,    "customerId": 1,    "restaurantId": 1,    "recordingUrl": "http://example.com",    "recordingDuration": "string",    "callSid": "string",    "callId": "string",    "from": "string",    "to": "string",    "status": "string",    "direction": "string",    "transcriptUrl": "string",    "transcript": [      {        "role": "string",        "text": "string",        "createdAt": "string",        "toolName": "string",        "invocationId": "string",        "errorDetails": "string"      }    ],    "summary": "string",    "overallSentiment": "string",    "callQualityScore": 0,    "tags": null,    "title": "string",    "timestamp": "string",    "customer": {      "id": 0,      "name": "string",      "phone": "string",      "email": "string"    }  }}
DELETE
/api/recordings/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/recordings/0"
{  "success": true,  "message": "string"}
POST
/api/recordings/bulk-delete

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/recordings/bulk-delete" \  -H "Content-Type: application/json" \  -d '{    "ids": [      0    ]  }'
{  "success": true,  "message": "string"}